Skip to main content
GET
/
scans
/
{scanId}
Get pentest detail
curl --request GET \
  --url https://app.strix.ai/api/v1/scans/{scanId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "title": "<string>",
  "status": "pending",
  "scan_type": "blackbox",
  "domain_ids": [
    "<string>"
  ],
  "repository_ids": [
    "<string>"
  ],
  "schedule_id": "<string>",
  "findings": {
    "total": 123,
    "critical": 123,
    "high": 123,
    "medium": 123,
    "low": 123
  },
  "duration": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API token from Settings > API Access

Path Parameters

scanId
string
required

Response

200 - application/json

Pentest detail

id
string
title
string
status
enum<string>
Available options:
pending,
running,
completed,
failed,
cancelled
scan_type
enum<string>

Blackbox (domain) or whitebox (repository) pentest

Available options:
blackbox,
whitebox
domain_ids
string[]
repository_ids
string[]
schedule_id
string | null
findings
object
duration
integer | null

Pentest duration in seconds

created_at
string<date-time>
completed_at
string<date-time> | null